"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProfLocType = void 0;
/**
 * This enum represents the type of location for a property.
 * Note that properties with location types of ENV and DEFAULT
 * cannot be stored back to disk. Thus the consumer app must
 * make its own decision about where to store the property.
 */
var ProfLocType;
(function (ProfLocType) {
    ProfLocType[ProfLocType["OLD_PROFILE"] = 0] = "OLD_PROFILE";
    ProfLocType[ProfLocType["TEAM_CONFIG"] = 1] = "TEAM_CONFIG";
    ProfLocType[ProfLocType["ENV"] = 2] = "ENV";
    ProfLocType[ProfLocType["DEFAULT"] = 3] = "DEFAULT"; // the default value from a profile definition
})(ProfLocType = exports.ProfLocType || (exports.ProfLocType = {}));
;
;
//# sourceMappingURL=IProfLoc.js.map