import { ICommandHandler, IHandlerParameters } from "../../../../../cmd";
/**
 * Init config
 */
export default class InitHandler implements ICommandHandler {
    private static readonly DEFAULT_ROOT_PROFILE_NAME;
    private params;
    /**
     * Process the command and input.
     *
     * @param {IHandlerParameters} params Parameters supplied by yargs
     *
     * @throws {ImperativeError}
     */
    process(params: IHandlerParameters): Promise<void>;
    /**
     * If CredentialManager was not already loaded by Imperative.init, load it
     * now before performing config operations in the init handler.
     */
    private ensureCredentialManagerLoaded;
    /**
     * Initialize a profile in the config
     * @param config The config
     */
    /**
     * Initialize the profile using the type schema as a guide
     * @param config The config
     * @param profile The profile object to populate
     */
    /**
     * Download/create the config from a URL
     * @param config The config
     */
    /**
     * Download the config from a URL
     * @param url
     */
    /**
     * Creates JSON template for config. Also creates a schema file in the same
     * folder alongside the config.
     * @param config Config object to be populated
     * @param user If true, properties will be left empty for user config
     */
    private initWithSchema;
    /**
     * Prompts for the value of a property on the CLI. Returns null if `--prompt false`
     * argument is passed, or prompt times out, or a blank value is entered.
     * @param propName The name of the property
     * @param property The profile property definition
     */
    private promptForProp;
}
